(function( require ){
  
  require.config( function(){
    var cdn  = "https://pbskids.org";
    
    require.cdn = cdn;
    
    // DEFINE PATHS TO TORTUGA RESOURCES:
    // Only debug on subdomains of pbskids.org, e.g. stage.pbskids.org,
    // except NOT on help.pbskids.org, www-tc, cms-tc, nor cms.pbskids.org.
    var _STAGING_SUBDOMAINS = /(^((?!(www|help|cms)(\-tc)?\.).+)pbskids\.org$|tortuga\-docker\.localhost)/;
    var _TORTUGA_DEBUG = _STAGING_SUBDOMAINS.test(window.location.hostname);

    var tortuga_root  = 'https://' + (_TORTUGA_DEBUG ? 'pbs-kids-cms-craft3-static-website-staging-tc.preprod' : 'cms-tc') + '.pbskids.org/';
    var headband_root = tortuga_root + "headband/resources/js/";
    var global_resources_root = tortuga_root + "globalresources/resources/";

    // window._headband_js_root is used by the tortuga-localization lib.
    window._headband_js_root = headband_root;
    window._global_resources_root = global_resources_root;
    
    return{
      baseUrl: cdn + '/js/',
      urlArgs: "version=1.72",
      shim: {
        'Handlebars': {
          exports: 'Handlebars'
        },
        'faye': {
          exports: 'Faye'
        }
      },
      paths: {
        //jQuery and jQuery Plugins
        'jquery'          : 'loader/lib/jquery/jquery-1.10.2',
        'jquery-easing'   : shell_root + 'js/lib/jquery/plugins/jquery-easing-1.3',
        'jquery-touch'    : shell_root + 'js/lib/jquery/jquery.mobile-1.3.1-touch-swipe-only.min',
        'jquery-mobile'   : shell_root + 'js/lib/jquery/jquery.mobile.custom',
        'jquery-bxslider' : shell_root + 'js/lib/jquery/plugins/jquery.bxSlider.min',
        
        //PBS KIDS MESSAGING SYSTEM
        'uuid'              : 'lib/PBS.KIDS.uuid',
        'jquery-noconflict' : headband_root + 'jquery-noconflict',
        'messages'          : headband_root + 'messages',
        'pubsub'            : headband_root + 'PBS.KIDS.pubsub',

        //Progress Tracker
        'utils'               : '/includes/progresstracker/js/utils',
        'queueingLibrary2'    : '/includes/progresstracker/js/queueingLibrary2',
        'game-tracker'        : '/includes/progresstracker/js/game-tracker',
        'identity-0.2'        : '/includes/progresstracker/js/identity-0.2',
        'simple-storage'      : cdn + '/js/lib/PBS.KIDS.simple-storage',
      }
    };
  }());



  //Loaders
  (function(){

    require( ["messages"], function(Messages){
      Messages.init();
    });

  })();

}( PBS.KIDS.require ));
